## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name eth_hash
%global common_description %{expand:
The Ethereum hashing function, keccak256, sometimes (erroneously) called sha256
or sha3.}

Name:          python-eth-hash
Version:       0.7.1
Release:       %autorelease
BuildArch:     noarch
Summary:       The Ethereum hashing function
License:       MIT
URL:           https://github.com/ethereum/eth-hash
VCS:           git:%{url}.git
Source0:       %{pypi_source %pypi_name}
# Fedora-specific. Cryptodome shipped in Fedora is not drop-in replacement for
# pycrypto. We have to adjust.
Patch:         python-eth-hash-0001-Fedora-use-cryptodome-explicitly.patch
# Fedora-secific. We don't have pysha3
Patch:         python-eth-hash-0002-Remove-pysha3.patch
BuildRequires: python3-pycryptodomex
BuildRequires: python3-pytest
BuildSystem:   pyproject
BuildOption(prep):    -n %{pypi_name}-%{version}
BuildOption(install): -l %{pypi_name}

%description  %{common_description}

%package -n python3-eth-hash
Summary: %{summary}

%description -n python3-eth-hash %{common_description}

%pyproject_extras_subpkg -n python3-eth-hash pycryptodomex

%check -a
%pytest ./tests/core/ ./tests/backends/pycryptodome

%files -n python3-eth-hash -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Thu May 08 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.7.1-2
- Generate squared deps

* Sat Mar 22 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.7.1-1
- eth-hash ver. 0.7.1

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Oct 21 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.7.0-2
- Explicitly list cryptodomex to install it automatically

* Sat Oct 19 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.7.0-1
- Initial build
## END: Generated by rpmautospec
